Bug 1780769 (rust-proc-macro-error-attr) - Review Request: rust-proc-macro-error-attr - Attribute macro for proc-macro-error crate
Summary: Review Request: rust-proc-macro-error-attr - Attribute macro for proc-macro-e...
Keywords:
Status: CLOSED RAWHIDE
Alias: rust-proc-macro-error-attr
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: rust-rustversion rust-syn-mid
Blocks: rust-proc-macro-error
TreeView+ depends on / blocked
 
Reported: 2019-12-06 20:57 UTC by Robert-André Mauchin 🐧
Modified: 2019-12-14 08:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-14 08:49:51 UTC
Type: ---
Embargoed:
loganjerry: fedora-review+


Attachments (Terms of Use)

Description Robert-André Mauchin 🐧 2019-12-06 20:57:08 UTC
Spec URL: https://eclipseo.fedorapeople.org/for-review/rust-proc-macro-error-attr.spec
SRPM URL: https://eclipseo.fedorapeople.org/for-review/rust-proc-macro-error-attr-0.4.3-1.fc32.src.rpm

Description:
Attribute macro for proc-macro-error crate.

Fedora Account System Username: eclipseo

Comment 1 Jerry James 2019-12-13 23:45:57 UTC
I will take this review.  If you can, I would appreciate a review of bug 1783590 in exchange.

Comment 2 Jerry James 2019-12-13 23:55:36 UTC
This package is APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package does not own files or directories owned by other packages.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rust-proc-macro-error-attr-devel-0.4.3-1.fc32.noarch.rpm
          rust-proc-macro-error-attr+default-devel-0.4.3-1.fc32.noarch.rpm
          rust-proc-macro-error-attr-0.4.3-1.fc32.src.rpm
rust-proc-macro-error-attr-devel.noarch: W: invalid-url URL: https://crates.io/crates/proc-macro-error-attr HTTP Error 404: Not Found
rust-proc-macro-error-attr-devel.noarch: W: no-documentation
rust-proc-macro-error-attr-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/proc-macro-error-attr-0.4.3/.cargo-checksum.json
rust-proc-macro-error-attr+default-devel.noarch: W: spelling-error %description -l en_US attr -> tart, attar, attn
rust-proc-macro-error-attr+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/proc-macro-error-attr HTTP Error 404: Not Found
rust-proc-macro-error-attr+default-devel.noarch: W: no-documentation
rust-proc-macro-error-attr.src: W: invalid-url URL: https://crates.io/crates/proc-macro-error-attr HTTP Error 404: Not Found
3 packages and 0 specfiles checked; 0 errors, 7 warnings.




Rpmlint (installed packages)
----------------------------
rust-proc-macro-error-attr-devel.noarch: W: invalid-url URL: https://crates.io/crates/proc-macro-error-attr HTTP Error 404: Not Found
rust-proc-macro-error-attr-devel.noarch: W: no-documentation
rust-proc-macro-error-attr-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/proc-macro-error-attr-0.4.3/.cargo-checksum.json
rust-proc-macro-error-attr+default-devel.noarch: W: spelling-error %description -l en_US attr -> tart, attar, attn
rust-proc-macro-error-attr+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/proc-macro-error-attr HTTP Error 404: Not Found
rust-proc-macro-error-attr+default-devel.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 6 warnings.



Source checksums
----------------
https://crates.io/api/v1/crates/proc-macro-error-attr/0.4.3/download#/proc-macro-error-attr-0.4.3.crate :
  CHECKSUM(SHA256) this package     : c2bf5d493cf5d3e296beccfd61794e445e830dfc8070a9c248ad3ee071392c6c
  CHECKSUM(SHA256) upstream package : c2bf5d493cf5d3e296beccfd61794e445e830dfc8070a9c248ad3ee071392c6c


Requires
--------
rust-proc-macro-error-attr-devel (rpmlib, GLIBC filtered):
    (crate(proc-macro2/default) >= 1.0.0 with crate(proc-macro2/default) < 2.0.0)
    (crate(quote/default) >= 1.0.0 with crate(quote/default) < 2.0.0)
    (crate(rustversion/default) >= 1.0.0 with crate(rustversion/default) < 2.0.0)
    (crate(syn-mid/default) >= 0.4.0 with crate(syn-mid/default) < 0.5.0)
    (crate(syn/derive) >= 1.0.0 with crate(syn/derive) < 2.0.0)
    (crate(syn/parsing) >= 1.0.0 with crate(syn/parsing) < 2.0.0)
    (crate(syn/proc-macro) >= 1.0.0 with crate(syn/proc-macro) < 2.0.0)
    cargo

rust-proc-macro-error-attr+default-devel (rpmlib, GLIBC filtered):
    cargo
    crate(proc-macro-error-attr)



Provides
--------
rust-proc-macro-error-attr-devel:
    crate(proc-macro-error-attr)
    rust-proc-macro-error-attr-devel

rust-proc-macro-error-attr+default-devel:
    crate(proc-macro-error-attr/default)
    rust-proc-macro-error-attr+default-devel



Generated by fedora-review 0.7.3 (44b83c7) last change: 2019-09-18
Command line :/usr/bin/fedora-review -b 1780769 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Ocaml, Ruby, fonts, Java, SugarActivity, Python, Haskell, R, PHP, C/C++, Perl
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 3 Igor Raits 2019-12-14 08:29:39 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-proc-macro-error-attr


Note You need to log in before you can comment on or make changes to this bug.